This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 680797 - (CVE-2011-1155) CVE-2011-1155 logrotate: DoS due improper escaping of file names within 'write state' action
CVE-2011-1155 logrotate: DoS due improper escaping of file names within 'writ...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20110213,reported=2...
: Reopened, Security
Depends On: 688518 688519 688520
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-27 14:38 EST by Jan Lieskovsky
Modified: 2015-07-30 09:13 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-30 09:13:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
proposed patch (1.80 KB, patch)
2011-03-01 07:09 EST, Jan Kaluža
no flags Details | Diff

  None (edit)
Description Jan Lieskovsky 2011-02-27 14:38:57 EST
A denial of service flaw was found in the way the logrotate utility
performed arguments sanitization, when performing the 'write state'
action. A local attacker could use this flaw to cause abort in
subsequent logrotate runs via a specially-crafted log file name.
Comment 3 Jan Kaluža 2011-03-01 07:09:46 EST
Created attachment 481603 [details]
proposed patch

This patch fixes the bug by escaping line-feed and backslash and by using 2 * PATH_MAX + 16 for buffer size if PATH_MAX is defined.
Comment 5 Huzaifa S. Sidhpurwala 2011-03-17 06:01:49 EDT
Created logrotate tracking bugs for this issue

Affects: fedora-all [bug 688520]
Comment 6 errata-xmlrpc 2011-03-31 11:16:35 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0407 https://rhn.redhat.com/errata/RHSA-2011-0407.html
Comment 8 Josh Bressers 2011-06-29 13:44:45 EDT
Statement:

The Red Hat Security Response Team has rated this issue as having low security impact, a future update may address this flaw.

Note You need to log in before you can comment on or make changes to this bug.